From a76ae911e0652a1f50f1d49da9bc4f82041492d4 Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 14 2018 20:09:02 +0000
Subject: [PATCH 1/2] remove unnecessary javapackages-tools and javapackages-local


---

diff --git a/dd-plist/dd-plist.spec b/dd-plist/dd-plist.spec
index dd6e622..fb5c748 100644
--- a/dd-plist/dd-plist.spec
+++ b/dd-plist/dd-plist.spec
@@ -10,10 +10,9 @@ Source0:    https://github.com/3breadt/dd-plist/archive/dd-plist-1.21.tar.gz
 
 BuildArch:  noarch
 
-BuildRequires:  javapackages-tools
-BuildRequires:  maven-assembly-plugin
 BuildRequires:  maven-local
 BuildRequires:  maven-plugin-bundle
+BuildRequires:  maven-assembly-plugin
 BuildRequires:  sonatype-oss-parent
 
 Requires:   java-openjdk
diff --git a/directory-maven-plugin/directory-maven-plugin.spec b/directory-maven-plugin/directory-maven-plugin.spec
index f43471d..acd9899 100644
--- a/directory-maven-plugin/directory-maven-plugin.spec
+++ b/directory-maven-plugin/directory-maven-plugin.spec
@@ -10,7 +10,6 @@ Source0:    https://github.com/jdcasey/directory-maven-plugin/archive/directory-
 
 BuildArch:  noarch
 
-BuildRequires:  javapackages-tools
 BuildRequires:  maven-local
 BuildRequires:  maven-parent
 BuildRequires:  maven-plugin-plugin
diff --git a/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec b/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
index 0551461..9fb4757 100644
--- a/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
+++ b/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
@@ -12,9 +12,8 @@ BuildArch:  noarch
 
 Patch0: 0_update_ddp_version.patch
 
-BuildRequires:  dd-plist
-BuildRequires:  javapackages-tools
 BuildRequires:  maven-local
+BuildRequires:  dd-plist
 BuildRequires:  maven-plugin-plugin
 BuildRequires:  xz-devel
 
diff --git a/jaf/jaf.spec b/jaf/jaf.spec
index c343b87..b19b9d9 100644
--- a/jaf/jaf.spec
+++ b/jaf/jaf.spec
@@ -14,12 +14,11 @@ Patch0:		0_add_manifest.patch
 
 BuildArch:	noarch
 
+BuildRequires:	maven-local
 BuildRequires:	ee4j
 BuildRequires:	glassfish-hk2-maven-plugins
-BuildRequires:	javapackages-local
 BuildRequires:	maven-dependency-plugin
 BuildRequires:	maven-enforcer-plugin
-BuildRequires:	maven-local
 BuildRequires:	maven-plugin-build-helper
 BuildRequires:	maven-plugin-bundle
 BuildRequires:	maven-source-plugin

From 3ab7fbbddeb5a84391c0e25d0fc82a118c4b317f Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 15 2018 16:06:15 +0000
Subject: [PATCH 2/2] order BRs alphabetically


---

diff --git a/dd-plist/dd-plist.spec b/dd-plist/dd-plist.spec
index fb5c748..82eadf4 100644
--- a/dd-plist/dd-plist.spec
+++ b/dd-plist/dd-plist.spec
@@ -10,9 +10,9 @@ Source0:    https://github.com/3breadt/dd-plist/archive/dd-plist-1.21.tar.gz
 
 BuildArch:  noarch
 
+BuildRequires:  maven-assembly-plugin
 BuildRequires:  maven-local
 BuildRequires:  maven-plugin-bundle
-BuildRequires:  maven-assembly-plugin
 BuildRequires:  sonatype-oss-parent
 
 Requires:   java-openjdk
diff --git a/directory-maven-plugin/directory-maven-plugin.spec b/directory-maven-plugin/directory-maven-plugin.spec
index acd9899..23130a2 100644
--- a/directory-maven-plugin/directory-maven-plugin.spec
+++ b/directory-maven-plugin/directory-maven-plugin.spec
@@ -10,10 +10,10 @@ Source0:    https://github.com/jdcasey/directory-maven-plugin/archive/directory-
 
 BuildArch:  noarch
 
+BuildRequires:  maven-javadoc-plugin
 BuildRequires:  maven-local
 BuildRequires:  maven-parent
 BuildRequires:  maven-plugin-plugin
-BuildRequires:  maven-javadoc-plugin
 BuildRequires:  sonatype-oss-parent
 
 Requires:   java-openjdk
diff --git a/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec b/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
index 9fb4757..ec5e449 100644
--- a/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
+++ b/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
@@ -12,8 +12,8 @@ BuildArch:  noarch
 
 Patch0: 0_update_ddp_version.patch
 
-BuildRequires:  maven-local
 BuildRequires:  dd-plist
+BuildRequires:  maven-local
 BuildRequires:  maven-plugin-plugin
 BuildRequires:  xz-devel
 
diff --git a/jaf/jaf.spec b/jaf/jaf.spec
index b19b9d9..2ae9e79 100644
--- a/jaf/jaf.spec
+++ b/jaf/jaf.spec
@@ -14,11 +14,11 @@ Patch0:		0_add_manifest.patch
 
 BuildArch:	noarch
 
-BuildRequires:	maven-local
 BuildRequires:	ee4j
 BuildRequires:	glassfish-hk2-maven-plugins
 BuildRequires:	maven-dependency-plugin
 BuildRequires:	maven-enforcer-plugin
+BuildRequires:	maven-local
 BuildRequires:	maven-plugin-build-helper
 BuildRequires:	maven-plugin-bundle
 BuildRequires:	maven-source-plugin
diff --git a/javamail/javamail.spec b/javamail/javamail.spec
index ade4b2a..b2471e2 100644
--- a/javamail/javamail.spec
+++ b/javamail/javamail.spec
@@ -35,16 +35,16 @@ Patch4:   4_jar_for_webapp.patch
 # add servlet module to build
 Patch5:   5_servlet_module.patch
 
-BuildRequires:  maven-local
 BuildRequires:  ee4j
 BuildRequires:  jboss-jsp-2.2-api
 BuildRequires:  glassfish-hk2-maven-plugins
 BuildRequires:  glassfish-servlet-api
 BuildRequires:  maven-dependency-plugin
 BuildRequires:  maven-enforcer-plugin
+BuildRequires:  maven-javadoc-plugin
+BuildRequires:  maven-local
 BuildRequires:  maven-plugin-build-helper
 BuildRequires:  maven-plugin-bundle
-BuildRequires:  maven-javadoc-plugin
 BuildRequires:  maven-source-plugin
 
 Requires: java-openjdk
diff --git a/jmc/jmc.spec b/jmc/jmc.spec
index d114394..a44fb4a 100644
--- a/jmc/jmc.spec
+++ b/jmc/jmc.spec
@@ -37,6 +37,7 @@ Patch7:     7_remove_buchen_repo.patch
 Patch8:     8_add_hamcrest.patch
 
 BuildRequires:  buildnumber-maven-plugin
+BuildRequires:  desktop-file-utils
 BuildRequires:  directory-maven-plugin
 BuildRequires:  eclipse-tests
 BuildRequires:  fix-info-plist-maven-plugin
@@ -48,7 +49,6 @@ BuildRequires:  maven-deploy-plugin
 BuildRequires:  maven-enforcer-plugin
 BuildRequires:  maven-local
 BuildRequires:  tycho
-BuildRequires:  desktop-file-utils
 
 Requires:       java-11-openjdk
 

